import o from "../../../@babel/runtime/helpers/esm/defineProperty.mjs";
import * as s from "react";
import m from "../../../classnames/index.mjs";
import h from "../context.mjs";
function f(e) {
  var c, a = e.prefixCls, t = e.checked, n = e.halfChecked, i = e.disabled, d = e.onClick, r = e.disableCheckbox, C = s.useContext(h), l = C.checkable, k = typeof l != "boolean" ? l : null;
  return /* @__PURE__ */ s.createElement("span", {
    className: m("".concat(a), (c = {}, o(c, "".concat(a, "-checked"), t), o(c, "".concat(a, "-indeterminate"), !t && n), o(c, "".concat(a, "-disabled"), i || r), c)),
    onClick: d
  }, k);
}
export {
  f as default
};
